#ifndef TESTS_H
#define TESTS_H
#include <cppunit/TestCase.h>
#include <cppunit/TestFixture.h>
#include <cppunit/ui/text/TextTestRunner.h>
#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/TestResult.h>
#include <cppunit/TestResultCollector.h>
#include <cppunit/TestRunner.h>
#include <cppunit/BriefTestProgressListener.h>
#include <cppunit/CompilerOutputter.h>
#include <cppunit/XmlOutputter.h>
#include "config_reader.h"
#include "data_acces.h"
using namespace CppUnit;

class test_basic : public CppUnit::TestFixture{
  CPPUNIT_TEST_SUITE(test_basic);
  CPPUNIT_TEST(test_initial);
  CPPUNIT_TEST(hash_test);
  CPPUNIT_TEST(msql_loggin_test);
  CPPUNIT_TEST(msql_package_test);
  CPPUNIT_TEST_SUITE_END();
public:
  void setUp(void);
  void pass_tests();
private:
  void test_initial();
  void hash_test();
  void msql_loggin_test();
  void msql_package_test();
  config_reader *conf;
  data_acces *data;
};
#endif // TESTS_H
